/******************************************************************************
 SSX2 virtual multichannel stream functions

(C) Copyright AudioScience Inc. 1997-2006
******************************************************************************/

#ifndef _HPISSX2_H_
#define _HPISSX2_H_

#include "hpi_internal.h"

#ifdef __cplusplus
/* *INDENT-OFF* */
extern "C" {
/* *INDENT-ON* */
#endif

typedef uint16_t HPI_BOOL;

HPI_BOOL HPI_PreMessageSsx2(HPI_MESSAGE *phm,
			    HPI_RESPONSE *phr, void *hOwner);

void HPI_PostMessageSsx2(HPI_MESSAGE *phm, HPI_RESPONSE *phr, void *hOwner);

void HPI_MessageSsx2(HPI_MESSAGE *phm, HPI_RESPONSE *phr, void *hOwner);

#define HPI_MESSAGE_LOWER_LAYER HPI_MessageSsx2

#ifdef __cplusplus
/* *INDENT-OFF* */
}
/* *INDENT-ON* */
#endif

#endif				/* _HPISSX2_H_ */
